Loading...
Searching...
No Matches
Attributes and Cntls
Globus XIO » Globus XIO UDP Driver

Attributes and Cntls. More...

## Enumerations

enum

globus_xio_udp_cmd_t {
GLOBUS_XIO_UDP_SET_HANDLE , GLOBUS_XIO_UDP_SET_SERVICE , GLOBUS_XIO_UDP_GET_SERVICE , GLOBUS_XIO_UDP_SET_PORT ,
GLOBUS_XIO_UDP_GET_PORT , GLOBUS_XIO_UDP_SET_LISTEN_RANGE , GLOBUS_XIO_UDP_GET_LISTEN_RANGE , GLOBUS_XIO_UDP_SET_INTERFACE ,
GLOBUS_XIO_UDP_GET_INTERFACE , GLOBUS_XIO_UDP_SET_RESTRICT_PORT , GLOBUS_XIO_UDP_GET_RESTRICT_PORT , GLOBUS_XIO_UDP_SET_REUSEADDR ,
GLOBUS_XIO_UDP_GET_REUSEADDR , GLOBUS_XIO_UDP_SET_NO_IPV6 , GLOBUS_XIO_UDP_GET_NO_IPV6 , GLOBUS_XIO_UDP_GET_HANDLE ,
GLOBUS_XIO_UDP_SET_SNDBUF , GLOBUS_XIO_UDP_GET_SNDBUF , GLOBUS_XIO_UDP_SET_RCVBUF , GLOBUS_XIO_UDP_GET_RCVBUF ,
GLOBUS_XIO_UDP_GET_CONTACT , GLOBUS_XIO_UDP_GET_NUMERIC_CONTACT , GLOBUS_XIO_UDP_SET_CONTACT , GLOBUS_XIO_UDP_CONNECT ,
GLOBUS_XIO_UDP_SET_MULTICAST
}

## Functions

globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_HANDLE, globus_xio_system_socket_t handle)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_SERVICE, const char *service_name)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_SERVICE, char **service_name_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_PORT, int listener_port)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_PORT, int *listener_port_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_LISTEN_RANGE, int listener_min_port, int listener_max_port)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_LISTEN_RANGE, int *listener_min_port_out, int *listener_max_port_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_INTERFACE, const char *interface)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_INTERFACE, char **interface_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_RESTRICT_PORT, globus_bool_t restrict_port)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_RESTRICT_PORT, globus_bool_t *restrict_port_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_REUSEADDR, globus_bool_t resuseaddr)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_REUSEADDR, globus_bool_t *resuseaddr_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_NO_IPV6, globus_bool_t no_ipv6)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_NO_IPV6, globus_bool_t *no_ipv6_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_HANDLE, globus_xio_system_socket_t *handle_out)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_UDP_GET_HANDLE, globus_xio_system_socket_t *handle_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_SNDBUF, int sndbuf)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_UDP_SET_SNDBUF, int sndbuf)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_SNDBUF, int *sndbuf_out)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_UDP_GET_SNDBUF, int *sndbuf_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_RCVBUF, int rcvbuf)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_UDP_SET_RCVBUF, int rcvbuf)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_GET_RCVBUF, int *rcvbuf_out)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_UDP_GET_RCVBUF, int *rcvbuf_out)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_UDP_GET_CONTACT, char **contact_string_out)
globus_result_t | globus_xio_data_descriptor_cntl (dd, driver, GLOBUS_XIO_UDP_GET_CONTACT, char **contact_string_out)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_UDP_GET_NUMERIC_CONTACT, char **contact_string_out)
globus_result_t | globus_xio_data_descriptor_cntl (dd, driver, GLOBUS_XIO_UDP_GET_NUMERIC_CONTACT, char **contact_string_out)
globus_result_t | globus_xio_data_descriptor_cntl (dd, driver, GLOBUS_XIO_UDP_SET_CONTACT, char *contact_string)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_UDP_CONNECT, char *contact_string)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_UDP_SET_MULTICAST, char *contact_string)

## Detailed Description

Attributes and Cntls.

UDP driver specific attrs and cntls.

See also
  globus_xio_attr_cntl()
  globus_xio_handle_cntl()
  globus_xio_data_descriptor_cntl()

## Enumeration Type Documentation

## globus_xio_udp_cmd_t

enum globus_xio_udp_cmd_t

doxygen varargs filter stuff UDP driver specific cntls

Enumerator
GLOBUS_XIO_UDP_SET_HANDLE | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_SET_SERVICE | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_GET_SERVICE | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_SET_PORT | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_GET_PORT | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_SET_LISTEN_RANGE | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_GET_LISTEN_RANGE | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_SET_INTERFACE | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_GET_INTERFACE | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_SET_RESTRICT_PORT | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_GET_RESTRICT_PORT | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_SET_REUSEADDR | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_GET_REUSEADDR | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_SET_NO_IPV6 | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_GET_NO_IPV6 | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_UDP_GET_HANDLE | See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl
GLOBUS_XIO_UDP_SET_SNDBUF | See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl
GLOBUS_XIO_UDP_GET_SNDBUF | See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl
GLOBUS_XIO_UDP_SET_RCVBUF | See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl
GLOBUS_XIO_UDP_GET_RCVBUF | See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl
GLOBUS_XIO_UDP_GET_CONTACT | See usage for: globus_xio_handle_cntl , globus_xio_data_descriptor_cntl
GLOBUS_XIO_UDP_GET_NUMERIC_CONTACT | See usage for: globus_xio_handle_cntl , globus_xio_data_descriptor_cntl
GLOBUS_XIO_UDP_SET_CONTACT | See usage for: globus_xio_data_descriptor_cntl
GLOBUS_XIO_UDP_CONNECT | See usage for: globus_xio_handle_cntl
GLOBUS_XIO_UDP_SET_MULTICAST | See usage for: globus_xio_attr_cntl

## Function Documentation

## globus_xio_attr_cntl() [1/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_HANDLE | ,
|  | globus_xio_system_socket_t * | handle_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the socket handle on an attr or handle.

Parameters

  handle_out | The udp socket will be stored here. If none is set, GLOBUS_XIO_UDP_INVALID_HANDLE will be set.

## globus_xio_attr_cntl() [2/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_INTERFACE | ,
|  | char ** | interface_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the interface on the attr.

Parameters

  interface_out | A pointer to the interface will be stored here If one is set, NULL will be passed back. Otherwise, the interface will be duplicated with strdup() and the user should call free() on it.

## globus_xio_attr_cntl() [3/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_LISTEN_RANGE | ,
|  | int * | listener_min_port_out,
|  | int * | listener_max_port_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the udp port range on an attr.

Parameters

  listener_min_port_out | The lower bound will be stored here.
  listener_max_port_out | The upper bound will be stored here.

## globus_xio_attr_cntl() [4/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_NO_IPV6 | ,
|  | globus_bool_t * | no_ipv6_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the no ipv6 flag on an attr.

Parameters

  no_ipv6_out | The no ipv6 flag will be stored here.

## globus_xio_attr_cntl() [5/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_PORT | ,
|  | int * | listener_port_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. the port number to listen on.

Parameters

  listener_port_out | The port will be stored here.

## globus_xio_attr_cntl() [6/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_RCVBUF | ,
|  | int * | rcvbuf_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the receive buffer size on the attr or handle.

Parameters

  rcvbuf_out | The receive buffer size will be stored here.

## globus_xio_attr_cntl() [7/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_RESTRICT_PORT | ,
|  | globus_bool_t * | restrict_port_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the restrict port flag.

Parameters

  restrict_port_out | The restrict port flag will be stored here.

## globus_xio_attr_cntl() [8/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_REUSEADDR | ,
|  | globus_bool_t * | resuseaddr_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the reuseaddr flag on an attr.

Parameters

  resuseaddr_out | The reuseaddr flag will be stored here.

## globus_xio_attr_cntl() [9/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_SERVICE | ,
|  | char ** | service_name_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the service name to listen on.

Parameters

  service_name_out | A pointer to the service name will be stored here If none is set, NULL will be passed back. Otherwise, the name will be duplicated with strdup() and the user should call free() on it.

## globus_xio_attr_cntl() [10/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_SNDBUF | ,
|  | int * | sndbuf_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the send buffer size on the attr or handle.

Parameters

  sndbuf_out | The send buffer size will be stored here.

## globus_xio_attr_cntl() [11/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_HANDLE | ,
|  | globus_xio_system_socket_t | handle )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the udp socket to use.

Parameters

  handle | Use this handle (fd or SOCKET). Note: close() will not be called on this handle.

## globus_xio_attr_cntl() [12/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_INTERFACE | ,
|  | const char * | interface )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the interface to bind the socket to.

Parameters

  interface | The interface to use. Can be a hostname or numeric IP

## globus_xio_attr_cntl() [13/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_LISTEN_RANGE | ,
|  | int | listener_min_port,
|  | int | listener_max_port )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the port range to confine the listener to.

Used only where no specific service or port has been set. It overrides the range set in the GLOBUS_UDP_PORT_RANGE env variable. If 'restrict port' is true, the listening port will be constrained to the range specified.

Parameters

  listener_min_port | The lower bound on the listener port. (default 0 – no bound)
  listener_max_port | The upper bound on the listener port. (default 0 – no bound)

See also
  GLOBUS_XIO_UDP_SET_RESTRICT_PORT

## globus_xio_attr_cntl() [14/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_MULTICAST | ,
|  | char * | contact_string )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Join a multicast group.

Specify a multicast group to join. All packets received will be to the specified multicast address. Do not use GLOBUS_XIO_UDP_CONNECT, GLOBUS_XIO_UDP_SET_PORT, or pass a contact string on the open. Consider using GLOBUS_XIO_UDP_SET_REUSEADDR to allow other apps to join this group. Use GLOBUS_XIO_UDP_SET_INTERFACE to specify the interface to use. Will not affect handles set with GLOBUS_XIO_UDP_SET_HANDLE. GLOBUS_XIO_UDP_SET_RESTRICT_PORT is ignored.

Parameters

  contact_string | A pointer to a contact string of the multicast group to join with the format: <hostname/ip>:<port/service>

## globus_xio_attr_cntl() [15/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_NO_IPV6 | ,
|  | globus_bool_t | no_ipv6 )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Restrict to IPV4 only.

Disallow IPV6 sockets from being used (default is to use either ipv4 or ipv6)

Parameters

  no_ipv6 | GLOBUS_TRUE to disallow ipv6, GLOBUS_FALSE to allow (default)

## globus_xio_attr_cntl() [16/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_PORT | ,
|  | int | listener_port )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the port number to listen on.

The default is 0 (system assigned)

Parameters

  listener_port | The port number to use when setting up the listener. If the service name is also set, this will only be used if that can't be resolved.

## globus_xio_attr_cntl() [17/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_RCVBUF | ,
|  | int | rcvbuf )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the socket receive buffer size.

Used to set the size of the receive buffer used on the socket.

Parameters

  rcvbuf | The receive buffer size in bytes. (default is system specific)

## globus_xio_attr_cntl() [18/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_RESTRICT_PORT | ,
|  | globus_bool_t | restrict_port )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Enable or disable the listener range constraints.

This enables or ignores the port range found in the attr or in then env. By default, those ranges are enabled.

Parameters

  restrict_port | GLOBUS_TRUE to enable (default), GLOBUS_FALSE to disable.

See also
  GLOBUS_XIO_UDP_SET_LISTEN_RANGE

## globus_xio_attr_cntl() [19/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_REUSEADDR | ,
|  | globus_bool_t | resuseaddr )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Reuse addr when binding.

Used to determine whether or not to allow reuse of addresses when binding a socket to a port number.

Parameters

  resuseaddr | GLOBUS_TRUE to allow, GLOBUS_FALSE to disallow (default)

## globus_xio_attr_cntl() [20/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_SERVICE | ,
|  | const char * | service_name )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the udp service name to listen on.

Parameters

  service_name | The service name to use when setting up the listener. If the service name cannot be resolved, the port (if one is set) will be used instead.

## globus_xio_attr_cntl() [21/21]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_SNDBUF | ,
|  | int | sndbuf )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the socket send buffer size.

Used to set the size of the send buffer used on the socket.

Parameters

  sndbuf | The send buffer size in bytes to use. (default is system specific)

## globus_xio_data_descriptor_cntl() [1/3]

globus_result_t globus_xio_data_descriptor_cntl | ( | dd | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_CONTACT | ,
|  | char ** | contact_string_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the contact string associated with a handle or data descriptor.

Use with globus_xio_handle_cntl() to get a contact string for the udp listener. Use with globus_xio_data_descriptor_cntl() to get the sender's contact string from a data descriptor passed to globus_xio_register_read().

Parameters

  contact_string_out | A pointer to a contact string will be stored here. The user should free() it when done with it. It will be in the format: <hostname>:<port>

See also
  GLOBUS_XIO_GET_LOCAL_CONTACT

## globus_xio_data_descriptor_cntl() [2/3]

globus_result_t globus_xio_data_descriptor_cntl | ( | dd | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_NUMERIC_CONTACT | ,
|  | char ** | contact_string_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the contact string associated with a handle or data descriptor.

Use with globus_xio_handle_cntl() to get a contact string for the udp listener. Use with globus_xio_data_descriptor_cntl() to get the sender's contact string from a data descriptor passed to globus_xio_register_read().

Parameters

  contact_string_out | A pointer to a contact string will be stored here. The user should free() it when done with it. It will be in the format: <ip>:<port>

See also
  GLOBUS_XIO_GET_LOCAL_NUMERIC_CONTACT

## globus_xio_data_descriptor_cntl() [3/3]

globus_result_t globus_xio_data_descriptor_cntl | ( | dd | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_CONTACT | ,
|  | char * | contact_string )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the destination contact.

Use on a data descriptor passed to globus_xio_register_write() to specify the recipient of the data. This is necessary with unconnected handles or to send to recipients other than the connected one.

Parameters

  contact_string | A pointer to a contact string of the format <hostname/ip>:<port/service>

See also
  GLOBUS_XIO_UDP_CONNECT

## globus_xio_handle_cntl() [1/8]

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_CONNECT | ,
|  | char * | contact_string )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the default destination contact.

Connecting a handle to a specific contact blocks packets from any other contact. It also sets the default destination of all outgoing packets so, using GLOBUS_XIO_UDP_SET_CONTACT is unnecessary.

Parameters

  contact_string | A pointer to a contact string of the format <hostname/ip>:<port/service>

## globus_xio_handle_cntl() [2/8]

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_CONTACT | ,
|  | char ** | contact_string_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the contact string associated with a handle or data descriptor.

Use with globus_xio_handle_cntl() to get a contact string for the udp listener. Use with globus_xio_data_descriptor_cntl() to get the sender's contact string from a data descriptor passed to globus_xio_register_read().

Parameters

  contact_string_out | A pointer to a contact string will be stored here. The user should free() it when done with it. It will be in the format: <hostname>:<port>

See also
  GLOBUS_XIO_GET_LOCAL_CONTACT

## globus_xio_handle_cntl() [3/8]

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_HANDLE | ,
|  | globus_xio_system_socket_t * | handle_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the socket handle on an attr or handle.

Parameters

  handle_out | The udp socket will be stored here. If none is set, GLOBUS_XIO_UDP_INVALID_HANDLE will be set.

## globus_xio_handle_cntl() [4/8]

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_NUMERIC_CONTACT | ,
|  | char ** | contact_string_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the contact string associated with a handle or data descriptor.

Use with globus_xio_handle_cntl() to get a contact string for the udp listener. Use with globus_xio_data_descriptor_cntl() to get the sender's contact string from a data descriptor passed to globus_xio_register_read().

Parameters

  contact_string_out | A pointer to a contact string will be stored here. The user should free() it when done with it. It will be in the format: <ip>:<port>

See also
  GLOBUS_XIO_GET_LOCAL_NUMERIC_CONTACT

## globus_xio_handle_cntl() [5/8]

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_RCVBUF | ,
|  | int * | rcvbuf_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the receive buffer size on the attr or handle.

Parameters

  rcvbuf_out | The receive buffer size will be stored here.

## globus_xio_handle_cntl() [6/8]

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_GET_SNDBUF | ,
|  | int * | sndbuf_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the send buffer size on the attr or handle.

Parameters

  sndbuf_out | The send buffer size will be stored here.

## globus_xio_handle_cntl() [7/8]

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_RCVBUF | ,
|  | int | rcvbuf )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the socket receive buffer size.

Used to set the size of the receive buffer used on the socket.

Parameters

  rcvbuf | The receive buffer size in bytes. (default is system specific)

## globus_xio_handle_cntl() [8/8]

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_UDP_SET_SNDBUF | ,
|  | int | sndbuf )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the socket send buffer size.

Used to set the size of the send buffer used on the socket.

Parameters

  sndbuf | The send buffer size in bytes to use. (default is system specific)